---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterinstcls004.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x4390, symSize: 0x270 }
  - { offsetInCU: 0xACA, offset: 0xACA, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50360, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAF1, offset: 0xAF1, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x522A0, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB13, offset: 0xB13, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52690, symBinAddr: 0xE520, symSize: 0x0 }
  - { offsetInCU: 0xB35, offset: 0xB35, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53630, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xB4A, offset: 0xB4A, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53640, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBC5, offset: 0xBC5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FFC0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBD0, offset: 0xBD0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FFC4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBDB, offset: 0xBDB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FFC8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC20, offset: 0xC20, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50120, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC99, offset: 0xC99, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x501D8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCB7, offset: 0xCB7, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x501DC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCD0, offset: 0xCD0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x501E0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCE9, offset: 0xCE9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x501E4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD02, offset: 0xD02, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x501E8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92F1, offset: 0x92F1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x501F0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x937A, offset: 0x937A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50200, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9393, offset: 0x9393, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50208, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93AC, offset: 0x93AC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50210, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93C5, offset: 0x93C5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50218, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93DE, offset: 0x93DE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50220, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93F8, offset: 0x93F8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50228, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94DE, offset: 0x94DE, size: 0x8, addend: 0x0, symName: __ZL11objectCount, symObjAddr: 0x50270, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x50278, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: __ZL13objectDescBuf, symObjAddr: 0x50280, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x955B, offset: 0x955B, size: 0x8, addend: 0x0, symName: __ZL15allocationError, symObjAddr: 0x50288, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x957B, offset: 0x957B, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50290, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9594, offset: 0x9594, size: 0x8, addend: 0x0, symName: __ZL21debugeeClassSignature, symObjAddr: 0xE1B0, symBinAddr: 0x7D10, symSize: 0x0 }
  - { offsetInCU: 0x95AD, offset: 0x95AD, size: 0x8, addend: 0x0, symName: __ZL8userData, symObjAddr: 0x502CC, symBinAddr: 0xC1EC, symSize: 0x0 }
  - { offsetInCU: 0x95FF, offset: 0x95FF, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3030, symSize: 0x80 }
  - { offsetInCU: 0x9694, offset: 0x9694, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2F80, symSize: 0xB0 }
  - { offsetInCU: 0x96EF, offset: 0x96EF, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2E80, symSize: 0x100 }
  - { offsetInCU: 0x9982, offset: 0x9982, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x30B0, symSize: 0xC0 }
  - { offsetInCU: 0x99D4, offset: 0x99D4, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3170, symSize: 0x220 }
  - { offsetInCU: 0x9BB9, offset: 0x9BB9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3390, symSize: 0xA0 }
  - { offsetInCU: 0x9C6C, offset: 0x9C6C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3430, symSize: 0x110 }
  - { offsetInCU: 0x9D62, offset: 0x9D62, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3540, symSize: 0x150 }
  - { offsetInCU: 0x9EBF, offset: 0x9EBF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3690, symSize: 0x30 }
  - { offsetInCU: 0x9F68, offset: 0x9F68, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x36C0, symSize: 0x150 }
  - { offsetInCU: 0xA160, offset: 0xA160, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3810, symSize: 0x160 }
  - { offsetInCU: 0xA420, offset: 0xA420, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3970, symSize: 0x4A0 }
  - { offsetInCU: 0xA693, offset: 0xA693, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3E10, symSize: 0x1B0 }
  - { offsetInCU: 0xA8AE, offset: 0xA8AE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3FC0, symSize: 0xA0 }
  - { offsetInCU: 0xA9A9, offset: 0xA9A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4060, symSize: 0x20 }
  - { offsetInCU: 0xA9E0, offset: 0xA9E0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4080, symSize: 0x20 }
  - { offsetInCU: 0xAA17, offset: 0xAA17, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x40A0, symSize: 0x20 }
  - { offsetInCU: 0xAB86, offset: 0xAB86, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x40C0, symSize: 0x1A0 }
  - { offsetInCU: 0xAEA2, offset: 0xAEA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4260, symSize: 0x130 }
  - { offsetInCU: 0xB052, offset: 0xB052, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4600, symSize: 0x1B0 }
  - { offsetInCU: 0xB341, offset: 0xB341, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x47B0, symSize: 0x80 }
  - { offsetInCU: 0xB40A, offset: 0xB40A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4830, symSize: 0x6A0 }
  - { offsetInCU: 0xBF9F, offset: 0xBF9F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA250, symBinAddr: 0x5FA0, symSize: 0xB0 }
  - { offsetInCU: 0xC016, offset: 0xC016, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4ED0, symSize: 0x70 }
  - { offsetInCU: 0xC116, offset: 0xC116, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x4560, symBinAddr: 0x4F40, symSize: 0x390 }
  - { offsetInCU: 0xC585, offset: 0xC585, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x52D0, symSize: 0xA0 }
  - { offsetInCU: 0xC664, offset: 0xC664, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5370, symSize: 0x40 }
  - { offsetInCU: 0xC75A, offset: 0xC75A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x53B0, symSize: 0x2B0 }
  - { offsetInCU: 0xCB00, offset: 0xCB00, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5660, symSize: 0xC0 }
  - { offsetInCU: 0xCC46, offset: 0xCC46, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5720, symSize: 0x10 }
  - { offsetInCU: 0xCD08, offset: 0xCD08, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5730, symSize: 0x220 }
  - { offsetInCU: 0xD005, offset: 0xD005, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5950, symSize: 0x10 }
  - { offsetInCU: 0xD062, offset: 0xD062, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5960, symSize: 0x1F0 }
  - { offsetInCU: 0xD2C5, offset: 0xD2C5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E00, symBinAddr: 0x5B50, symSize: 0x10 }
  - { offsetInCU: 0xD322, offset: 0xD322, size: 0x8, addend: 0x0, symName: _heapObjectCallback1, symObjAddr: 0x9E10, symBinAddr: 0x5B60, symSize: 0xD0 }
  - { offsetInCU: 0xD415, offset: 0xD415, size: 0x8, addend: 0x0, symName: _heapObjectCallback2, symObjAddr: 0x9EE0, symBinAddr: 0x5C30, symSize: 0xA0 }
  - { offsetInCU: 0xD537, offset: 0xD537, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F80, symBinAddr: 0x5CD0, symSize: 0x2D0 }
  - { offsetInCU: 0xD863, offset: 0xD863, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA300, symBinAddr: 0x6050, symSize: 0x36A }
...
